%define distroversion 6.9
%define distrorelease Final

%define version 0.1.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}


Summary: LibreSchool NFS home profiles configuration
Name: libreschool-nfs
Version: 6.9
Release: 1
License: GPL
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
Source0: %{name}-%{version}.tar.gz
Source1: COPYING
URL: %{url_prefix}/%{name}
Requires: libreschool-release
Requires: nfs-utils
BuildRequires: nethserver-devtools

%description
LibreSchool NFS home profiles configuration

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -not -name '*.orig' -print  | cpio -dump $RPM_BUILD_ROOT)
%{genfilelist} $RPM_BUILD_ROOT                   > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"                             >> %{name}-%{version}-%{release}-filelist



#nota bene: con la configurazione attuale, showmount non riporta nessun mount
#questo succede perche' showmount si appoggia a roba di NFS v2 e v3, mentre noi usiamo solo v4 e le porte per il resto sono chiuse di default


%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

%post
chkconfig nfs on
chkconfig rpcbind on
/sbin/service nfs start >/dev/null 2>&1 || :
/sbin/e-smith/db configuration set nfs service \
  status enabled \
  TCPPort 2049 \
  access private
/sbin/e-smith/db configuration set rpcbind service \
  status enabled \
  TCPPort 111 \
  UDPPort 111 \
  access private

%changelog
* Sat Nov 4 2017 Paolo Asperti <paolo@asperti.com> - 6.9-1
- First release
